require_relative '../lib/api_transformer'

class IpServer < ApiTransformer::Server
  base_url "http://ip.jsontest.com"

  get "/ip" do
    request :ip do
      path "/"
      method :get
    end

    response do |data|
      success do
        status 200
        attribute :your_ip, data[:ip][:ip]
      end
    end
  end
end
