# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "api_transformer/version"

Gem::Specification.new do |spec|
  spec.name          = "api-transformer"
  spec.version       = ApiTransformer::VERSION
  spec.authors       = ["Bruz Marzolf"]
  spec.email         = ["bruz@bruzilla.com"]
  spec.summary       = "API transformation Ruby DSL and server"
  spec.description   = ""
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(/^(test|spec|features)\//)
  spec.require_paths = ["lib"]

  spec.add_dependency "rack", "~> 1.5"
  spec.add_dependency "goliath", "~> 1.0"
  spec.add_dependency "em-http-request", "~> 1.1"
  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "hashie", "~> 3.3"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "mocha", "~> 1.1"
end
